:root {
  --bg: #fbf6f1;
  --card: #fff;
  --accent: #8659CC;
  --accent2: #E4DBF4;
  --text: #3b3735;
  --text2: #939393;
}

* {
  box-sizing: border-box
}

body {
  margin: 0;
  font: 16px/1.6 system-ui, sans-serif;
  background: var(--bg) url(imgs/dot-grid-dark.png) repeat;
  color: var(--text);
  overflow-x: hidden
}

a {
  color: var(--accent)
}

p {
  color: var(--text2);
}

header {
  padding: 6rem 8vw;
  display: grid;
  grid-template-columns: 1.2fr 1fr;
  gap: 3rem;
  align-items: center;
}

.hero-right {
  position: relative;
}

.hero-logo {
  position: absolute;
  top: -20px;
  right: 40px;
  width: 130px;

  filter: drop-shadow(0 0 25px rgba(0,0,0,0.2));

  animation: logoblob 4s ease infinite;
}

@keyframes logoblob {
  0% {
    transform: rotateZ(0) translateY(0);
  }
  50% {
    transform: rotateZ(5deg) translateY(15px);
  }
  100% {
    transform: rotateZ(0) translateY(0);
  }
}

.hero-ctas {
  display: flex;
  gap: 20px;
  align-items: center;
  margin-top: 40px;
}

h1 {
  font-family: "Margarine", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: clamp(3rem, 7vw, 5rem);
  line-height: 1;
  margin: .2em 0
}

h2 {
  font-size: 2rem
}

p {
  max-width: 60ch
}

.btn {
  display: inline-block;
  background: var(--accent);
  color: #fff;
  padding: .6rem 1.4rem;
  border-radius: 999px;
  text-decoration: none;
  box-shadow: 0 15px 24px -6px #8659cc66;
}

.heroart {
  aspect-ratio: 1;
  display: grid;
  place-items: center;
  font-size: 7rem;
  background-size: contain;
  background-repeat: no-repeat;
}

section {
  padding: 5rem 8vw
}

.order-insta-wide img {
  width: 100%;
}
@media (max-width: 1024px) {
  .order-insta-wide a {
    overflow: hidden;
    display: block;
  }
  .order-insta-wide img {
    width: auto;
    height: 370px;
    object-fit: cover;
    object-position: left center;
  }
}
@media (max-width: 424px) {
  .order-insta-wide img {
    height: 300px;
  }
}

.grid {
  /* display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 1.5rem */
  columns: 4 250px;
  gap: 1.5rem;
}

.card {
  background: var(--card);
  padding: 1rem;
  border-radius: 24px;
  box-shadow: 0 10px 30px #00000010;
  transform: translateY(30px);
  opacity: 0;

  break-inside: avoid;
  margin-bottom: 1rem;

  transition: .7s
}
.card img {
  width: 100%;
  height: auto;
}

.card.show {
  opacity: 1;
  transform: none
}

.thumb {
  height: 180px;
  border-radius: 18px;
  background: linear-gradient(135deg, #ffe7da, #fff);
  display: grid;
  place-items: center;
  font-size: 4rem
}

footer {
  text-align: center;
  padding: 3rem;
  color: #666
}

.blob {
  position: fixed;
  width: 220px;
  height: 220px;
  border-radius: 50%;
  background: #e4dbf466;
  filter: blur(30px);
  z-index: -1;
  transition: .15s
}

@media(max-width:800px) {
  header {
    grid-template-columns: 1fr;
    text-align: center;
    gap: 10px;
    padding-top: 2rem;
  }

  p {
    margin: auto
  }

  .heroart {
    max-width: 360px;
    margin: auto
  }

  .grid {
    columns: 2 45%;
  }

  .hero-ctas {
    flex-direction: column;
  }

  .hero-left {
    order: 1;
  }

  .heroart {
    height: 350px;
    width: 100%;
    aspect-ratio: auto;
  }
}